Package org.apache.calcite.avatica.util

## Class Spaces.SpaceString

- java.lang.Object
- - org.apache.calcite.avatica.util.Spaces.SpaceString

All Implemented Interfaces:
  `java.lang.CharSequence`

Enclosing class:
  Spaces

    private static class Spaces.SpaceString
    extends java.lang.Object
    implements java.lang.CharSequence

A string of spaces.

### Field Summary

Fields
`private int` `length`

### Constructor Summary

Constructors
`private` `SpaceString​(int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `charAt​(int index)`
`int` `length()`
`java.lang.CharSequence` `subSequence​(int start, int end)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Field Detail

#### length

    private final int length

### Constructor Detail

#### SpaceString

    private SpaceString​(int length)

### Method Detail

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `java.lang.CharSequence`
Overrides:
  `toString` in class `java.lang.Object`

#### length

    public int length()

Specified by:
  `length` in interface `java.lang.CharSequence`

#### charAt

    public char charAt​(int index)

Specified by:
  `charAt` in interface `java.lang.CharSequence`

#### subSequence

    public java.lang.CharSequence subSequence​(int start,
                                              int end)

Specified by:
  `subSequence` in interface `java.lang.CharSequence`